Index: branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Interfaces/IRoleVerifier.cs
===================================================================
--- branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Interfaces/IRoleVerifier.cs	(revision 15962)
+++ branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Interfaces/IRoleVerifier.cs	(revision 16386)
@@ -23,4 +23,5 @@
   public interface IRoleVerifier {
     bool IsInRole(string role);
+    bool IsUserInRole(string username, string role);
     bool IsInAnyRole(params string[] roles);
     bool IsInAllRoles(params string[] roles);
Index: branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Interfaces/IUserManager.cs
===================================================================
--- branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Interfaces/IUserManager.cs	(revision 15962)
+++ branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Interfaces/IUserManager.cs	(revision 16386)
@@ -31,5 +31,7 @@
     MembershipUser GetUserById(Guid userId);
     string GetUserNameById(Guid userId);
+    IEnumerable<Guid> GetUserGroupIdsOfUser(Guid userId);
     bool VerifyUser(Guid userId, List<Guid> allowedUserGroups);
+    IEnumerable<DataTransfer.UserGroupMapping> GetUserGroupMapping();
   }
 }
Index: branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/RoleVerifier.cs
===================================================================
--- branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/RoleVerifier.cs	(revision 15962)
+++ branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/RoleVerifier.cs	(revision 16386)
@@ -29,4 +29,7 @@
       return Roles.IsUserInRole(role);
     }
+    public bool IsUserInRole(string username, string role) {
+      return Roles.IsUserInRole(username, role);
+    }
     public bool IsInAnyRole(params string[] roles) {
       return roles.Any(x => Roles.IsUserInRole(x));
Index: branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/UserManager.cs
===================================================================
--- branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/UserManager.cs	(revision 15962)
+++ branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/UserManager.cs	(revision 16386)
@@ -46,5 +46,5 @@
     public string GetUserNameById(Guid userId) {
       var user = GetUserById(userId);
-      if (user != null) {
+      if (user != null && !string.IsNullOrWhiteSpace(user.UserName)) {
         return user.UserName;
       } else {
@@ -52,4 +52,18 @@
       }
 
+    }
+
+    public IEnumerable<Guid> GetUserGroupIdsOfUser(Guid userId) {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
+        var groupIds = from g in context.UserGroupUserGroups
+                       where g.UserGroupId == userId
+                       select g.UserGroupUserGroupId;
+
+        var query = from g in context.UserGroupBases.OfType<DA.UserGroup>()
+                    where groupIds.Contains(g.Id)
+                    select g.Id;
+
+        return query.ToList();
+      }
     }
 
@@ -74,4 +88,12 @@
       }
       return false;
+    }
+
+    public IEnumerable<DataTransfer.UserGroupMapping> GetUserGroupMapping() {
+      using (DA.AccessServiceDataContext context = new DA.AccessServiceDataContext()) {
+        var query = from u in context.UserGroupUserGroups
+                    select Convert.ToDto(u);
+        return query.ToList();
+      }
     }
 
Index: branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Web.config
===================================================================
--- branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Web.config	(revision 15962)
+++ branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/Web.config	(revision 16386)
@@ -2,5 +2,5 @@
 <configuration>
   <connectionStrings>
-    <add name="HeuristicLab.Authentication" connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication" />
+    <add name="HeuristicLab.Authentication" connectionString="Data Source=localhost;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication" />
   </connectionStrings>
 
@@ -30,5 +30,5 @@
         <host>
           <baseAddresses>
-            <add baseAddress="http://localhost:8000/AccessService-3.3/AccessService.svc" />
+            <add baseAddress="http://services.heuristiclab.com/AccessService-3.3/AccessService.svc" />
           </baseAddresses>
         </host>
@@ -41,5 +41,5 @@
           <serviceDebug includeExceptionDetailInFaults="true" />
           <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <serviceCertificate findValue="services.heuristiclab.com" x509FindType="FindBySubjectName" />
             <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
               membershipProviderName="AspNetSqlMembershipProvider" />
Index: branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/app.config
===================================================================
--- branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/app.config	(revision 15962)
+++ branches/2925_AutoDiffForDynamicalModels/HeuristicLab.Services.Access/3.3/app.config	(revision 16386)
@@ -2,5 +2,5 @@
 <configuration>
   <connectionStrings>
-    <add name="HeuristicLab.Authentication" connectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication" />
+    <add name="HeuristicLab.Authentication" connectionString="Data Source=localhost;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication" />
   </connectionStrings>
 
@@ -30,5 +30,5 @@
         <host>
           <baseAddresses>
-            <add baseAddress="http://localhost:8000/AccessService-3.3/AccessService.svc" />
+            <add baseAddress="http://services.heuristiclab.com/AccessService-3.3/AccessService.svc" />
           </baseAddresses>
         </host>
@@ -41,5 +41,5 @@
           <serviceDebug includeExceptionDetailInFaults="true" />
           <serviceCredentials>
-            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName" />
+            <serviceCertificate findValue="services.heuristiclab.com" x509FindType="FindBySubjectName" />
             <userNameAuthentication userNamePasswordValidationMode="MembershipProvider"
               membershipProviderName="AspNetSqlMembershipProvider" />
